[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#560619: marked as done (libiphone: FTBFS: iphone.i:32: Error: Unable to find 'plist/swig/plist.i')

Your message dated Wed, 16 Dec 2009 17:03:24 +0000
with message-id <E1NKxHY-0001Ut-3E@ries.debian.org>
and subject line Bug#560619: fixed in libiphone 0.9.5-1
has caused the Debian Bug report #560619,
regarding libiphone: FTBFS: iphone.i:32: Error: Unable to find 'plist/swig/plist.i'
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

560619: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=560619
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Source: libiphone
Version: 0.9.1-4
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20091210 qa-ftbfs
Justification: FTBFS on amd64


During a rebuild of all packages in sid, your package failed to build on

Relevant part:
> make[3]: Entering directory `/build/user-libiphone_0.9.1-4-amd64-Id_nZh/libiphone-0.9.1/fdi'
> make[3]: Nothing to be done for `all'.
> make[3]: Leaving directory `/build/user-libiphone_0.9.1-4-amd64-Id_nZh/libiphone-0.9.1/fdi'
> Making all in swig
> make[3]: Entering directory `/build/user-libiphone_0.9.1-4-amd64-Id_nZh/libiphone-0.9.1/swig'
> /usr/bin/swig -python -I../include  -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include -I../src -o iphone_wrap.c iphone.i
> iphone.i:32: Error: Unable to find 'plist/swig/plist.i'
> make[3]: *** [iphone_wrap.c] Error 1

The full build log is available from:

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |

--- End Message ---
--- Begin Message ---
Source: libiphone
Source-Version: 0.9.5-1

We believe that the bug you reported is fixed in the latest version of
libiphone, which is due to be installed in the Debian FTP archive:

  to main/libi/libiphone/libiphone-dev_0.9.5-1_amd64.deb
  to main/libi/libiphone/libiphone-utils_0.9.5-1_amd64.deb
  to main/libi/libiphone/libiphone0-dbg_0.9.5-1_amd64.deb
  to main/libi/libiphone/libiphone0_0.9.5-1_amd64.deb
  to main/libi/libiphone/libiphone_0.9.5-1.diff.gz
  to main/libi/libiphone/libiphone_0.9.5-1.dsc
  to main/libi/libiphone/libiphone_0.9.5.orig.tar.gz
  to main/libi/libiphone/python-iphone_0.9.5-1_amd64.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 560619@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Julien Lavergne <julien.lavergne@gmail.com> (supplier of updated libiphone package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Mon, 14 Dec 2009 21:16:05 +0100
Source: libiphone
Binary: libiphone0 libiphone-dev libiphone0-dbg python-iphone libiphone-utils
Architecture: source amd64
Version: 0.9.5-1
Distribution: unstable
Urgency: medium
Maintainer: Julien Lavergne <julien.lavergne@gmail.com>
Changed-By: Julien Lavergne <julien.lavergne@gmail.com>
 libiphone-dev - Library for communicating with iPhone and iPod Touch devices
 libiphone-utils - Library for communicating with iPhone and iPod Touch devices
 libiphone0 - Library for communicating with the iPhone and iPod Touch
 libiphone0-dbg - Library for communicating with iPhone and iPod Touch devices
 python-iphone - Library for communicating with iPhone and iPod Touch devices
Closes: 548595 557642 560619
 libiphone (0.9.5-1) unstable; urgency=medium
   * New maintainer, thanks Bradley Smith for his work (Closes: #548595).
   * Urgency set to medium to fix RC bug (#560619).
   * New upstream release (Closes: #557642)
    - Build with new libplist (Closes: #560619)
   * debian/control & debian/libiphone-utils:
    - Put executable binaries in a separate package.
   * debian/control :
    - Change python-libiphone to python-iphone binary, to reflect the change of
      the module.
    - Build against libusb-1.0-0-dev (>= 1.0.3), libusbmuxd-dev (>= 1.0.0),
      libtasn1-3-dev (>= 1.1), libplist++-dev (>= 0.15), python-all-dev,
      libreadline-dev and python-plist.
    - Build depends on python-support.
    - Update build-depends on libplist-dev to (>= 0.15) and swig to (>= 1.3.36).
    - Wrap build-depends.
    - Make libiphone-dev depends on libusbmuxd-dev and libtasn1-3-dev.
    - Make libiphone0 depends on usbmuxd.
   * debian/libiphone0.install:
    - Remove udev rules, not shipped by upstream.
    - Only install 0 library number.
   * debian/python-iphone: Update installation location for python 2.6.
   * debian/rules & debian/python-iphone.preinst: Switch to python-support.
   * debian/libiphone-utils.manpages: Add man pages.
   * Bump Standards-Version to 3.8.3, no change needed.
 4e68deae366cf3a69aeda94728e2d95dde679e7d 1382 libiphone_0.9.5-1.dsc
 7e9ec7fa237069dd1035e5c2d0fec6a065d297c2 436079 libiphone_0.9.5.orig.tar.gz
 fb68cd19a2319ba02bc145f485c5f6780c9f69e1 3928 libiphone_0.9.5-1.diff.gz
 2c117f5686a02fc5ecf546fde56f5f8dfa552aac 29764 libiphone0_0.9.5-1_amd64.deb
 683f2a2f39b427afb6d923b40ce0a56375c08ffc 36778 libiphone-dev_0.9.5-1_amd64.deb
 a7fb6200aa8cc2f31acd7ce71a83b848ae3b0f8c 186982 libiphone0-dbg_0.9.5-1_amd64.deb
 86157f55992a2d8c2ead2b6606634d6f13919ee9 81440 python-iphone_0.9.5-1_amd64.deb
 f894d92d78872224a411404c58629dd0b434188e 13060 libiphone-utils_0.9.5-1_amd64.deb
 a558eb38e8fa83ed40bf4e1b04bb293d8cd6078b44c7527444fb5ffd6d5c36dc 1382 libiphone_0.9.5-1.dsc
 0e5ce3c58aca224475a3aa7abd77feeb25d5cc56430901b8ca3b02955ba9d0a9 436079 libiphone_0.9.5.orig.tar.gz
 ba9dc7b555897e48acd5b5298853e9b846ceecc34ef1457e6bbce7360a99074f 3928 libiphone_0.9.5-1.diff.gz
 912aa52994f25e77fe597c95d02aa07b742fed1f1e92d5633d98982c595864be 29764 libiphone0_0.9.5-1_amd64.deb
 dcc7a57ffc368ca22a6b9f226b650577c849eb0c05f9a68757b9e91054288bfe 36778 libiphone-dev_0.9.5-1_amd64.deb
 c52e13cac2d2cd439e405bd48216136748c882a06cce84aed64344343ac97482 186982 libiphone0-dbg_0.9.5-1_amd64.deb
 f5e3c3e3ae0be8722b6411fc68f0caa03dc7fb754afa1219a58d540b81ad4684 81440 python-iphone_0.9.5-1_amd64.deb
 4f4ee3ba4e3f6c6117d34bea20ba6c6ad4a30d486f8ccdb01cc26f818d75c59b 13060 libiphone-utils_0.9.5-1_amd64.deb
 2852c5b50903f3f3ee33e6b0dd8e1f98 1382 libs optional libiphone_0.9.5-1.dsc
 ebc73f3c66ee6527afd30d3047f2438b 436079 libs optional libiphone_0.9.5.orig.tar.gz
 00a03f712fe764f1652e4ab451a8918c 3928 libs optional libiphone_0.9.5-1.diff.gz
 b7c49f643ccfc9b7035d28c5a44676f9 29764 libs optional libiphone0_0.9.5-1_amd64.deb
 1e86e7b15339ea6cc1ef5caefb14f9ee 36778 libdevel optional libiphone-dev_0.9.5-1_amd64.deb
 266322112280fd81a2cedffa25a8883e 186982 debug extra libiphone0-dbg_0.9.5-1_amd64.deb
 bff33416f8093b4300ab62dbfcdc5921 81440 python optional python-iphone_0.9.5-1_amd64.deb
 7a1375c38bcc541e7ab0f180f99a384a 13060 utils optional libiphone-utils_0.9.5-1_amd64.deb

Version: GnuPG v1.4.10 (GNU/Linux)


--- End Message ---

Reply to: